<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFPictureData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFPictureData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":6,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":6,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFPictureData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFPictureData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFPictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFPictureData" class="title">Class HSLFPictureData</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFPictureData</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                           title="interface in org.apache.poi.sl.usermodel">PictureData</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                           title="class in org.apache.poi.hslf.blip">Bitmap</a>, <a
                            href="../../../../../org/apache/poi/hslf/blip/Metafile.html"
                            title="class in org.apache.poi.hslf.blip">Metafile</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">HSLFPictureData</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
              title="interface in org.apache.poi.sl.usermodel">PictureData</a></pre>
                <div class="block">A class that represents image data contained in a slide show.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.sl.usermodel.PictureData">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                         title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#CHECKSUM_SIZE">CHECKSUM_SIZE</a></span></code>
                                    <div class="block">Size of the image checksum calculated using MD5 algorithm.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#HSLFPictureData--">HSLFPictureData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#create-org.apache.poi.sl.usermodel.PictureData.PictureType-">create</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;type)</code>
                                    <div class="block">Create an instance of <code>PictureData</code> by type.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getChecksum--">getChecksum</a></span>()</code>
                                    <div class="block">Gets the checksum - the checksum can be of various length -
                                        mostly it's 8 (XSLF) or 16 (HSLF) bytes long.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getChecksum-byte:A-">getChecksum</a></span>(byte[]&nbsp;data)</code>
                                    <div class="block">Compute 16-byte checksum of this picture using MD5 algorithm.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getContentType--">getContentType</a></span>()</code>
                                    <div class="block">Returns content type (mime type) of this picture.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getHeader--">getHeader</a></span>()</code>
                                    <div class="block">Return 24 byte header which preceeds the actual picture data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.awt.Dimension</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getImageDimensionInPixels--">getImageDimensionInPixels</a></span>()</code>
                                    <div class="block">Return the original image dimensions in pixels</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getIndex--">getIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getOffset--">getOffset</a></span>()</code>
                                    <div class="block">File offset in the 'Pictures' stream</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getRawData--">getRawData</a></span>()</code>
                                    <div class="block">Returns the raw binary data of this Picture excluding the first 8
                                        bytes
                                        which hold image signature and size of the image data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected abstract int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getSignature--">getSignature</a></span>()</code>
                                    <div class="block">Blip signature.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getUID--">getUID</a></span>()</code>
                                    <div class="block">Returns 16-byte checksum of this picture</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#getUIDInstanceCount--">getUIDInstanceCount</a></span>()</code>
                                    <div class="block">The instance type/signatures defines if one or two UID instances
                                        will be included
                                    </div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setIndex-int-">setIndex</a></span>(int&nbsp;index)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setOffset-int-">setOffset</a></span>(int&nbsp;offset)</code>
                                    <div class="block">Set offset of this picture in the 'Pictures' stream.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setRawData-byte:A-">setRawData</a></span>(byte[]&nbsp;data)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>abstract void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setSignature-int-">setSignature</a></span>(int&nbsp;signature)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#setUIDInstanceCount-int-">setUIDInstanceCount</a></span>(int&nbsp;uidInstanceCount)</code>
                                    <div class="block">The instance type/signatures defines if one or two UID instances
                                        will be included
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#write-java.io.OutputStream-">write</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write this picture into <code>OutputStream</code></div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PictureData">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></h3>
                                <code><a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getData--">getData</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimension--">getImageDimension</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getType--">getType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#setData-byte:A-">setData</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="CHECKSUM_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CHECKSUM_SIZE</h4>
                                <pre>protected static final&nbsp;int CHECKSUM_SIZE</pre>
                                <div class="block">Size of the image checksum calculated using MD5 algorithm.</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.usermodel.HSLFPictureData.CHECKSUM_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFPictureData</h4>
                                <pre>public&nbsp;HSLFPictureData()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSignature--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSignature</h4>
                                <pre>protected abstract&nbsp;int&nbsp;getSignature()</pre>
                                <div class="block">Blip signature.</div>
                            </li>
                        </ul>
                        <a name="setSignature-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSignature</h4>
                                <pre>public abstract&nbsp;void&nbsp;setSignature(int&nbsp;signature)</pre>
                            </li>
                        </ul>
                        <a name="getUIDInstanceCount--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUIDInstanceCount</h4>
                                <pre>protected&nbsp;int&nbsp;getUIDInstanceCount()</pre>
                                <div class="block">The instance type/signatures defines if one or two UID instances will
                                    be included
                                </div>
                            </li>
                        </ul>
                        <a name="setUIDInstanceCount-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setUIDInstanceCount</h4>
                                <pre>protected&nbsp;void&nbsp;setUIDInstanceCount(int&nbsp;uidInstanceCount)</pre>
                                <div class="block">The instance type/signatures defines if one or two UID instances will
                                    be included
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>uidInstanceCount</code> - the number of uid sequences</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRawData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRawData</h4>
                                <pre>public&nbsp;byte[]&nbsp;getRawData()</pre>
                                <div class="block">Returns the raw binary data of this Picture excluding the first 8
                                    bytes
                                    which hold image signature and size of the image data.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>picture data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRawData-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRawData</h4>
                                <pre>public&nbsp;void&nbsp;setRawData(byte[]&nbsp;data)</pre>
                            </li>
                        </ul>
                        <a name="getOffset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOffset</h4>
                                <pre>public&nbsp;int&nbsp;getOffset()</pre>
                                <div class="block">File offset in the 'Pictures' stream</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>offset in the 'Pictures' stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setOffset-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setOffset</h4>
                                <pre>public&nbsp;void&nbsp;setOffset(int&nbsp;offset)</pre>
                                <div class="block">Set offset of this picture in the 'Pictures' stream.
                                    We need to set it when a new picture is created.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>offset</code> - in the 'Pictures' stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUID--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUID</h4>
                                <pre>public&nbsp;byte[]&nbsp;getUID()</pre>
                                <div class="block">Returns 16-byte checksum of this picture</div>
                            </li>
                        </ul>
                        <a name="getChecksum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChecksum</h4>
                                <pre>public&nbsp;byte[]&nbsp;getChecksum()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getChecksum--">PictureData</a></code></span>
                                </div>
                                <div class="block">Gets the checksum - the checksum can be of various length -
                                    mostly it's 8 (XSLF) or 16 (HSLF) bytes long.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getChecksum--">getChecksum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the checksum</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChecksum-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChecksum</h4>
                                <pre>public static&nbsp;byte[]&nbsp;getChecksum(byte[]&nbsp;data)</pre>
                                <div class="block">Compute 16-byte checksum of this picture using MD5 algorithm.</div>
                            </li>
                        </ul>
                        <a name="write-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>write</h4>
                                <pre>public&nbsp;void&nbsp;write(java.io.OutputStream&nbsp;out)
           throws java.io.IOException</pre>
                                <div class="block">Write this picture into <code>OutputStream</code></div>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.sl.usermodel.PictureData.PictureType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;create(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                        title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;type)</pre>
                                <div class="block">Create an instance of <code>PictureData</code> by type.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>type</code> - type of the picture data.
                                        Must be one of the static constants defined in the <code>Picture<code> class.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>concrete instance of <code>PictureData</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeader--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeader</h4>
                                <pre>public&nbsp;byte[]&nbsp;getHeader()</pre>
                                <div class="block">Return 24 byte header which preceeds the actual picture data.
                                    <p>
                                        The header consists of 2-byte signature, 2-byte type,
                                        4-byte image size and 16-byte checksum of the image data.
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 24 byte header which preceeds the actual picture data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;int&nbsp;getIndex()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 1-based index of this pictures within the pictures stream</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndex</h4>
                                <pre>public&nbsp;void&nbsp;setIndex(int&nbsp;index)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - sets the 1-based index of this pictures within the pictures
                                        stream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getContentType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getContentType</h4>
                                <pre>public final&nbsp;java.lang.String&nbsp;getContentType()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getContentType--">PictureData</a></code></span>
                                </div>
                                <div class="block">Returns content type (mime type) of this picture.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getContentType--">getContentType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>content type of this picture.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getImageDimensionInPixels--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getImageDimensionInPixels</h4>
                                <pre>public&nbsp;java.awt.Dimension&nbsp;getImageDimensionInPixels()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimensionInPixels--">PictureData</a></code></span>
                                </div>
                                <div class="block">Return the original image dimensions in pixels</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimensionInPixels--">getImageDimensionInPixels</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/sl/usermodel/PictureData.html#getImageDimension--"><code>PictureData.getImageDimension()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFPictureData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFPictureData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFPictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
